WordPress.org

Support

Support » Themes and Templates » Strange message on the footer (p-blog-header.php)

Strange message on the footer (p-blog-header.php)

  • Hi, I just found on my site and for first time a message appearing on the footer:

    p-blog-header.php which does and tells WordPress to load the theme. * * @package WordPress */ /** * Tells WordPress to load the WordPress theme and output it. * * @var bool */ define('WP_USE_THEMES', true); /** Loads the WordPress Environment and Template */ require('./wp-blog-header.php'); ?>

    I did a search and a few sites have the same problem. Anyone knows how to fix it?

    Thanks in advance

Viewing 7 replies - 1 through 7 (of 7 total)
  • fyi, there is no p-blog-header.php in wordpress
    what theme are you using?

    Hi chaoskaizer, thanks for your quick reply. I guess p-blog-header.php meant wp-blog-header.php

    The theme i’m using is this one: http://www.blogohblog.com/wordpress-theme-firebug/

    Plugins activated are:

    All in One SEO Pack, cforms, Dagon Design Sitemap Generator, FeedWordPress, Get Recent Comments, MyAvatars, Shylock Adsense, SpamBam, Video Embedder, WP-PageNavi and WP Google Analytics

    Just deactivated: Get Recent Comments and MyAvatars

    My site is: http://www.oveoo.com/

    Thanks

    that is weird, wp-blog-header.php is automatically loaded before theme. theme wont explicitly require this file.

    Anyway you can hide the text for temporary ,open your footer.php, add the below code after </html>.

    <!--

    Then, try deactivating all your plugins and re-activate it back one by one. see if there is conflict with your recent active plugins.

    btw, I see a theme-switcher.php in your wordpress was it active?.

    Thnk chaoskaizer. I will try it. I think it’s something related to that theme.

    Best Regards.

    I have this issue too on http://ornskov.dk/wordpress25/ and trying to fool WP with

    <!–

    doesn’t work!

    Any other suggestions?

    KingManon

    @kingmanon

    I re-upgraded to latest version and now all seems to be fixed…

    pi-comic

    @pi-comic

    This happened to me. Most likely the index.php file got corrupted when you when upgraded. To fix this, take a look at the index.php file. Delete the old index.php file and insert a fresh one from the wordpress zip update. The file should look like this:

    <?php
    /**
    * Front to the WordPress application. This file doesn’t do anything, but loads
    * wp-blog-header.php which does and tells WordPress to load the theme.
    *
    * @package WordPress
    */

    /**
    * Tells WordPress to load the WordPress theme and output it.
    *
    * @var bool
    */
    define(‘WP_USE_THEMES’, true);

    /** Loads the WordPress Environment and Template */
    require(‘./wp-blog-header.php’);
    ?>

    Voila

    Hope this helps.

    Von D.

    Penned In Comic
    http://www.pi-comic.com

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Strange message on the footer (p-blog-header.php)’ is closed to new replies.